Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::PollableSet Interface Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA::PollableSet:

[legend]
Collaboration diagram for CORBA::PollableSet:

[legend]
List of all members.

## Public Types
typedef PollableSet_ptr | _ptr_type
typedef PollableSet_var | _var_type
## Public Methods
DIIPollable | create_dii_pollable ()
void | add_pollable (in Pollable potential)
Pollable | poll (in unsigned long timeout) raises ( NoPossiblePollable )
void | remove (in Pollable potential) raises ( UnknownPollable )
unsigned short | number_left ()
virtual::CORBA::DIIPollable_ptr | create_dii_pollable (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | add_pollable (CORBA::Pollable_ptr potential ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual::CORBA::Pollable_ptr | poll (CORBA::ULong timeout ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , CORBA::PollableSet::NoPossiblePollable )
virtual void | remove (CORBA::Pollable_ptr potential ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , CORBA::PollableSet::UnknownPollable )
virtual CORBA::UShort | number_left (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
PollableSet_ptr | _duplicate (PollableSet_ptr obj)
PollableSet_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PollableSet_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
PollableSet_ptr | _nil (void)
| Return a NULL object. More...
## Static Public Attributes
int | _tao_class_id
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| PollableSet (void)
virtual | ~PollableSet (void)
## Private Methods
| PollableSet (const PollableSet &)
void | operator= (const PollableSet &)

## Member Typedef Documentation

typedef PollableSet_ptr CORBA::PollableSet::_ptr_type

| Reimplemented from CORBA_Object.

typedef PollableSet_var CORBA::PollableSet::_var_type

| Reimplemented from CORBA_Object.

## Constructor & Destructor Documentation

CORBA::PollableSet::PollableSet | ( | void |  | ) | `[protected]`

virtual CORBA::PollableSet::~PollableSet | ( | void |  | ) | `[protected, virtual]`

CORBA::PollableSet::PollableSet | ( | const PollableSet & |  | ) | `[private]`

## Member Function Documentation

PollableSet_ptr CORBA::PollableSet::_duplicate | ( | PollableSet_ptr | obj | ) | `[static]`

virtual const char* CORBA::PollableSet::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from CORBA_Object.

PollableSet_ptr CORBA::PollableSet::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

PollableSet_ptr CORBA::PollableSet::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from CORBA_Object.

virtual void* CORBA::PollableSet::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from CORBA_Object.

PollableSet_ptr CORBA::PollableSet::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

virtual void CORBA::PollableSet::add_pollable | ( | CORBA::Pollable_ptr potential | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

void CORBA::PollableSet::add_pollable | ( | in Pollable | potential | ) |

virtual ::CORBA::DIIPollable_ptr CORBA::PollableSet::create_dii_pollable | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

DIIPollable CORBA::PollableSet::create_dii_pollable | ( |  | ) |

virtual CORBA::UShort CORBA::PollableSet::number_left | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

unsigned short CORBA::PollableSet::number_left | ( |  | ) |

void CORBA::PollableSet::operator= | ( | const PollableSet & |  | ) | `[private]`

virtual ::CORBA::Pollable_ptr CORBA::PollableSet::poll | ( | CORBA::ULong timeout | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , CORBA::PollableSet::NoPossiblePollable )`[pure virtual]`

Pollable CORBA::PollableSet::poll | ( | in unsigned long | timeout | ) | raises ( NoPossiblePollable )

virtual void CORBA::PollableSet::remove | ( | CORBA::Pollable_ptr potential | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , CORBA::PollableSet::UnknownPollable )`[pure virtual]`

void CORBA::PollableSet::remove | ( | in Pollable | potential | ) | raises ( UnknownPollable )

## Member Data Documentation

int CORBA::PollableSet::_tao_class_id`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from CORBA_Object.

The documentation for this interface was generated from the following files:

- Pollable.pidl
- PollableC.h